Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8216 - Bugs in spec file
Summary: Bugs in spec file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-05 22:34 UTC by andrewem
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-15 14:57:02 UTC


Attachments (Terms of Use)

Description andrewem 2000-01-05 22:34:52 UTC
The spec file creates a configuration override file "config.over" that has
a few bugs in it:

1) The following will always fail as installprefix is the buildroot

     test -d \$installprefix || mkdir \$installprefix
     test -d \$installprefix/bin || mkdir \$installprefix/bin

   To fix, use "mkdir -p" or "makedirhier" instead of "mkdir".

2) By default, Perl builds with "-O2" as the ccflags.
   Add this line:

     optimize=$RPM_OPT_FLAGS

Comment 1 andrewem 2000-01-05 23:15:59 UTC
1) Better explanation:
     installprefix=/var/tmp/perl-root/usr
   since /var/tmp/perl-root does not exist yet
     mkdir $installprefix/usr
   will of course fail.

2) Oops...I forgot the quotes :(
     optimize="$RPM_OPT_FLAGS"

Comment 2 Jeff Johnson 2000-01-15 14:57:59 UTC
Fixed in perl-5.00503-8 in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.